/**
 * --------------------------------------------------------------------------
 * NJ : Alert.ts
 * --------------------------------------------------------------------------
 */
import '../../globals/js/animation';
import AbstractComponent from '../../globals/ts/abstract-component';
export default class Alert extends AbstractComponent {
    static readonly NAME = "nj-alert";
    protected static readonly DATA_KEY = "nj.alert";
    protected static readonly EVENT_KEY: string;
    protected static readonly SELECTOR: {
        default: string;
        dismiss: string;
    };
    private static readonly KEY_FRAMES;
    private static readonly EVENT;
    constructor(element: HTMLElement);
    closeAndDestroy(): void;
    close(callback: () => void): Promise<void>;
    dispose(): void;
    private destroyElement;
    private setListeners;
    static init(options?: {}): Alert[];
    static getInstance(element: HTMLElement): Alert;
}
