/**
 * --------------------------------------------------------------------------
 * NJ : Fab.ts
 * --------------------------------------------------------------------------
 */
import '../../globals/js/animation';
import AbstractComponent from '../../globals/ts/abstract-component';
export default class Fab extends AbstractComponent {
    static readonly NAME = "nj-fab-menu";
    protected static readonly DATA_KEY = "nj.fab";
    protected static readonly EVENT_KEY: string;
    static SELECTOR: {
        default: string;
        button: string;
        item: string;
    };
    private static readonly EVENT;
    private static readonly DURATION_PER_ITEM;
    private static readonly ITEMS_HEIGHT;
    static OPEN_CLASS: string;
    private static readonly STAGGER_DELAY;
    private buttons;
    private items;
    private button;
    constructor(element: any, options: any);
    open(): void;
    setListeners(): void;
    setOptions(options: any): void;
    getOptions(): any;
    setDefaultAriaAttribute(): void;
    dispose(): void;
    static getInstance(element: HTMLElement): Fab;
    static init(options?: {}): Fab[];
}
