import Autocomplete from './autocomplete';
import PasswordInput from './password-input';
import TextInput from './text-input';
import TextareaInput from './textarea-input';
export default class Form {
    static TextInput: typeof TextInput;
    static PasswordInput: typeof PasswordInput;
    static TextareaInput: typeof TextareaInput;
    static Autocomplete: typeof Autocomplete;
    protected static SELECTOR: {
        default: string;
    };
    static init(optionsPassword?: {}, optionsText?: {}, optionsTextarea?: {}): Form[];
}
