/**
 * --------------------------------------------------------------------------
 * NJ: text.ts
 * --------------------------------------------------------------------------
 */
import AbstractFormControl from '../../globals/ts/abstract-form-control';
export default class TextInput extends AbstractFormControl {
    static readonly NAME = "nj-form-input-text";
    protected static readonly DATA_KEY = "nj.text";
    static SELECTOR: {
        default: string;
        formGroup: string;
    };
    protected static readonly DEFAULT_OPTIONS: {
        njFormGroup: {
            required: boolean;
        };
    };
    constructor(element: HTMLInputElement, options?: {});
    dispose(): void;
    static init(options?: {}): TextInput[];
    static getInstance(element: HTMLInputElement): TextInput;
    static matches(element: Element): boolean;
}
