import '../../globals/js/animation';
import AbstractComponent from '../../globals/ts/abstract-component';
export default class InlineMessage extends AbstractComponent {
    static readonly NAME = "nj-inline-message";
    protected static readonly DATA_KEY = "nj.inline-message";
    protected static readonly EVENT_KEY: string;
    protected static readonly SELECTOR: {
        default: string;
        dismiss: string;
    };
    private static readonly KEY_FRAMES;
    private static readonly EVENT;
    constructor(element: HTMLElement);
    closeAndDestroy(): void;
    close(callback: () => void): Promise<void>;
    dispose(): void;
    private destroyElement;
    private setListeners;
    static init(options?: {}): InlineMessage[];
    static getInstance(element: HTMLElement): InlineMessage;
}
