/**
 * --------------------------------------------------------------------------
 * NJ : Navbar.ts
 * --------------------------------------------------------------------------
 */
import AbstractComponent from '../../globals/ts/abstract-component';
export default class Navbar extends AbstractComponent {
    static readonly NAME = "nj-navbar";
    protected static readonly DATA_KEY = "nj.navbar";
    static CLASS_NAME: {
        shownCollapse: string;
    };
    static SELECTOR: {
        default: string;
    };
    private collapseSearchBarInstances;
    constructor(element: HTMLElement);
    dispose(): void;
    handleCollapseShow(): void;
    handleCollapseHide(): void;
    static getInstance(element: HTMLElement): Navbar;
    static init(options?: {}): Navbar[];
    /**
     * ------------------------------------------------------------------------
     * Data Api implementation
     * ------------------------------------------------------------------------
     */
    private registerEvents;
}
