/**
 * --------------------------------------------------------------------------
 * NJ: search.ts
 * --------------------------------------------------------------------------
 */
import AbstractComponent from '../../globals/ts/abstract-component';
export default class Search extends AbstractComponent {
    static readonly NAME = "nj-search";
    protected static readonly DATA_KEY = "nj.search";
    protected static readonly EVENT_KEY: string;
    protected static readonly SELECTOR: {
        default: string;
        field: string;
        clearButton: string;
    };
    private readonly root;
    private readonly field;
    private readonly clearButton;
    constructor(element: HTMLDivElement);
    static init(options?: {}): Search[];
    dispose(): void;
    static getInstance(element: HTMLElement): Search;
    private setListeners;
    private toggleClearButtonIfNeeded;
    private toggleInertAttribute;
}
