/**
 * --------------------------------------------------------------------------
 * NJ : abstract-form-base.ts
 * --------------------------------------------------------------------------
 */
import AbstractComponent from './abstract-component';
export default abstract class AbstractFormBase extends AbstractComponent {
    protected static readonly CLASS_NAME: Record<string, string>;
    protected static readonly SELECTOR: {
        formGroup: string;
    };
    protected element: HTMLInputElement;
    protected njFormGroup: Element;
    constructor(component: any, element: HTMLElement, options?: {}, properties?: {});
    addFormGroupFocus(): void;
    removeFormGroupFocus(): void;
    addIsFilled(): void;
    removeIsFilled(): void;
    findFormGroup(raiseError?: boolean): Element | null;
}
