/**
 * --------------------------------------------------------------------------
 * NJ: password-input.ts
 * --------------------------------------------------------------------------
 */
import AbstractComponent from '../../globals/ts/abstract-component';
export default class PasswordInput extends AbstractComponent {
    static readonly NAME = "nj-form-input-password";
    protected static readonly DATA_KEY = "nj.password-input";
    static readonly SELECTOR: {
        default: string;
    };
    private static readonly INPUT_CLASS;
    private static readonly REVEAL_BUTTON_CLASS;
    private static readonly HIDE_BUTTON_CLASS;
    protected static readonly DEFAULT_OPTIONS: {
        selector: {
            default: string;
        };
    };
    constructor(element: HTMLElement, options?: {});
    static init(options?: {}): PasswordInput[];
    static getInstance(element: HTMLElement): PasswordInput;
    dispose(): void;
    private setListeners;
}
