/**
 * --------------------------------------------------------------------------
 * NJ: textarea.ts
 * --------------------------------------------------------------------------
 */
import AbstractFormControl from '../../globals/ts/abstract-form-control';
export default class TextareaInput extends AbstractFormControl {
    static readonly NAME = "nj-form-input-textarea";
    protected static readonly DATA_KEY = "nj.textarea";
    static readonly SELECTOR: {
        default: string;
        formGroup: string;
    };
    constructor(element: HTMLTextAreaElement, options?: {});
    dispose(): void;
    static init(options?: {}): TextareaInput[];
    static getInstance(element: HTMLTextAreaElement): TextareaInput;
    static matches(element: Element): boolean;
}
