/**
 * --------------------------------------------------------------------------
 * NJ: password-input.ts
 * --------------------------------------------------------------------------
 */
import AbstractComponent from '../../globals/ts/abstract-component';
export default class Password extends AbstractComponent {
    static readonly NAME = "nj-form-item--password";
    protected static readonly DATA_KEY = "nj.password-input";
    static readonly SELECTOR: {
        default: string;
    };
    private static readonly INPUT_CLASS;
    private static readonly TOGGLE_BTN_CLASS;
    private static readonly NOTICE_CLASS;
    private static readonly VISIBILITY_CLASS;
    protected static readonly DEFAULT_OPTIONS: {
        selector: {
            default: string;
        };
    };
    constructor(element: HTMLElement, options?: {});
    static init(options?: {}): Password[];
    static getInstance(element: HTMLElement): Password;
    dispose(): void;
    private setListeners;
}
