import AbstractComponent from '../../globals/ts/abstract-component';
export default class SegmentedControl extends AbstractComponent {
    static readonly NAME = "nj-segmented-control";
    static readonly DATA_KEY = "nj.segmented-control";
    protected static readonly EVENT_KEY: string;
    static CLASS_NAME: {
        component: string;
        button: string;
        buttonSelected: string;
    };
    static SELECTOR: {
        default: string;
    };
    private static readonly EVENT;
    private readonly buttons;
    value: string;
    constructor(element: HTMLElement, options?: {});
    /**
     * Select button at index
     * @param index
     */
    select: (index: number) => void;
    private computeSelectedTransition;
    dispose(): void;
    static getInstance(element: HTMLElement): SegmentedControl;
    static init(options?: {}): SegmentedControl[];
}
