/**
 * --------------------------------------------------------------------------
 * NJ : Select.ts
 * --------------------------------------------------------------------------
 */
import AbstractFormBaseInput from '../../globals/ts/abstract-form-base-input';
export default class Select extends AbstractFormBaseInput {
    static readonly NAME = "nj-select";
    protected static readonly DATA_KEY = "nj.select";
    protected static readonly SELECTOR: {
        default: string;
        formGroup: string;
    };
    protected static readonly DEFAULT_OPTIONS: any;
    constructor(element: HTMLSelectElement, options?: {});
    dispose(): void;
    static init(options?: {}): Select[];
    static getInstance(element: HTMLSelectElement): Select;
    static matches(element: any): boolean;
}
