/**
 * --------------------------------------------------------------------------
 * NJ: Tab.ts
 * --------------------------------------------------------------------------
 */
import AbstractComponent from '../../globals/ts/abstract-component';
export default class Tab extends AbstractComponent {
    static readonly NAME = "nj-tab";
    static readonly DATA_KEY = "nj.tab";
    static CLASS_NAME: {
        component: string;
        tabItem: string;
        tabContent: string;
        itemActive: string;
        contentActive: string;
    };
    static SELECTOR: {
        default: string;
    };
    private readonly tabs;
    currentIndex: number;
    constructor(element: HTMLElement);
    show: (e: any) => void;
    focusNextFocusableTab(): void;
    focusPreviousFocusableTab(): void;
    onKeyDown: (e: KeyboardEvent) => void;
    dispose(): void;
    static getInstance(element: HTMLElement): Tab;
    static init(options?: {}): Tab[];
}
