/**
 * --------------------------------------------------------------------------
 * NJ : Tag.ts
 * --------------------------------------------------------------------------
 */
import '../../globals/js/animation';
import AbstractComponent from '../../globals/ts/abstract-component';
export default class Tag extends AbstractComponent {
    static readonly NAME = "nj-tag";
    protected static readonly DATA_KEY = "nj.tag";
    protected static readonly KEYFRAMES: {
        opacity: number;
    }[];
    static SELECTOR: {
        default: string;
        close: string;
    };
    constructor(element: HTMLElement, options?: {});
    closeAndDestroy(): void;
    close(callback: () => void): Promise<void>;
    /**
     * Remove element from DOM
     * */
    destroyElement(): void;
    dispose(): void;
    handleClick(event: any): void;
    static init(options?: {}): Tag[];
    static getInstance(element: HTMLElement): Tag;
    static getRootElement(element: Element): Element;
}
